org.eclipse.rdf4j.sail.inferencer.fc

## Class ForwardChainingRDFSInferencer

- java.lang.Object
- - org.eclipse.rdf4j.sail.helpers.SailWrapper
  - - org.eclipse.rdf4j.sail.helpers.NotifyingSailWrapper
    - - org.eclipse.rdf4j.sail.inferencer.fc.AbstractForwardChainingInferencer
      - - org.eclipse.rdf4j.sail.inferencer.fc.ForwardChainingRDFSInferencer

- All Implemented Interfaces:
    FederatedServiceResolverClient, NotifyingSail, Sail, StackableSail

  Deprecated.
  since 2.5. This inferencer implementation will be phased out. Consider switching to the `SchemaCachingRDFSInferencer` instead.

      @Deprecated
      public class ForwardChainingRDFSInferencer
      extends AbstractForwardChainingInferencer

  Forward-chaining RDF Schema inferencer, using the rules from the RDF Semantics Recommendation (10 February 2004). This inferencer can be used to add RDF Schema semantics to any Sail that returns `InferencerConnection`s from their `Sail.getConnection()` method.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForwardChainingRDFSInferencer()` Deprecated.
    `ForwardChainingRDFSInferencer(NotifyingSail baseSail)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.rdf4j.sail.inferencer.fc.ForwardChainingRDFSInferencerConnection` | `getConnection()` Deprecated. Opens a connection on the Sail which can be used to query and update data.
    `void` | `initialize()` Deprecated. Adds axiom statements to the underlying Sail.

    - ### Methods inherited from class org.eclipse.rdf4j.sail.inferencer.fc.AbstractForwardChainingInferencer

      `getDefaultIsolationLevel, getSupportedIsolationLevels`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.NotifyingSailWrapper

      `addSailChangedListener, getBaseSail, removeSailChangedListener, setBaseSail`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.SailWrapper

      `getDataDir, getValueFactory, isWritable, setDataDir, setFederatedServiceResolver, shutDown, verifyBaseSailSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.Sail

      `getDataDir, getValueFactory, init, isWritable, setDataDir, shutDown`

- - ### Constructor Detail

    - #### ForwardChainingRDFSInferencer

          public ForwardChainingRDFSInferencer()

      Deprecated.

    - #### ForwardChainingRDFSInferencer

          public ForwardChainingRDFSInferencer(NotifyingSail baseSail)

      Deprecated.

  - ### Method Detail

    - #### getConnection

          public org.eclipse.rdf4j.sail.inferencer.fc.ForwardChainingRDFSInferencerConnection getConnection()
                                                                                                     throws SailException

      Deprecated.
      Description copied from interface: `Sail`
      Opens a connection on the Sail which can be used to query and update data. Depending on how the implementation handles concurrent access, a call to this method might block when there is another open connection on this Sail.
      Specified by:
        `getConnection` in interface `NotifyingSail`
      Specified by:
        `getConnection` in interface `Sail`
      Overrides:
        `getConnection` in class `NotifyingSailWrapper`
      Throws:
        `SailException` - If no transaction could be started, for example because the Sail is not writable.

    - #### initialize

          public void initialize()
                          throws SailException

      Deprecated.
      Adds axiom statements to the underlying Sail.
      Specified by:
        `initialize` in interface `Sail`
      Overrides:
        `initialize` in class `SailWrapper`
      Throws:
        `SailException` - If the Sail could not be initialized.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.